Hibernate plugins are moved to newer Hibernate-core

Version 3

    Hibernate plugins announced JPA 2.0 support in 3.2.0.M1
    But it was not full support of the JPA 2.0. It was just support of Dali plugins for JPA 2.0 with Hibernate

    platform (read UI representation). Our users were not able to build Console Configuration based on the JPA 2.0

    mapping.

     

    Hibernate plugins had been using Hibernate-core 3.3.2.GA for years and JPA 2.0 support was added to Hibernate core

    since version 3.5. This was the reason of our limitaition support.
    But in 3.2.0.Beta2 we resolved the problem:

    • Hibernate-tools-core was moved to Hibernate-core-3.5.6.Final
    • Hibernate-tools-plugins were moved to new Hibernate-tools-core and Hibernate-core-3.5.6.Final.

     

    Now our users could be satisfied with JPA 2.0 support!
    Of course new Hibernate-tools-core also contains other improvements.
    New version should be fully backward compatible. The only thing we noticed is that now you could not use

    empty element <persistence>.


    The workaround is pretty simple:

     

    <persistence version="1.0" xmlns="http://java.sun.com/xml/ns/persistence"

    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"

    xsi:schemaLocation="http://java.sun.com/xml/ns/persistence                                 

    http://java.sun.com/xml/ns/persistence/persistence_1_0.xsd">

     

    If you have any other problem, please report the problem to our jira.